[
    {
        "id": "5e634a93a5a7bfc82d0af610",
        "name": "正方形",
        "icon": "iconfont icon-rect",
        "data": {
            "icon": "",
            "iconColor": "#2f54eb",
            "iconFamily": "topology",
            "name": "square",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 100,
                "width": 100
            },
            "text": "Topology"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a001",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e64a2f0ccc3e29a0c467e88",
        "name": "矩形",
        "icon": "iconfont icon-rectangle",
        "data": {
            "font": {
                "textAlign": "left"
            },
            "icon": "",
            "iconColor": "#2f54eb",
            "iconFamily": "topology",
            "name": "rectangle",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 50,
                "width": 120
            },
            "text": "Topology",
            "textOffsetX": 10
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a002",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e64a306ccc3e29a0c467e99",
        "name": "菱形",
        "icon": "iconfont icon-diamond",
        "data": {
            "name": "diamond",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 100,
                "width": 100
            },
            "text": "菱形"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a003",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e64a301ccc3e29a0c467e94",
        "name": "三角形",
        "icon": "iconfont icon-triangle",
        "data": {
            "name": "triangle",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 100,
                "width": 100
            },
            "text": "三角形"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a004",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e64a2f7ccc3e29a0c467e90",
        "name": "圆",
        "icon": "iconfont icon-circle",
        "data": {
            "name": "circle",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 100,
                "width": 100
            },
            "text": "圆"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a005",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e64a309ccc3e29a0c467e9b",
        "name": "五边形",
        "icon": "iconfont icon-pentagon",
        "data": {
            "name": "pentagon",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 100,
                "width": 100
            },
            "text": "五边形"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a006",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e65dac9fff7c114623f1bba",
        "name": "六边形",
        "icon": "iconfont icon-hexagon",
        "data": {
            "name": "hexagon",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 100,
                "width": 100
            },
            "text": "六边形"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a007",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e65da60fff7c114623f1b86",
        "name": "五角星",
        "icon": "iconfont icon-pentagram",
        "data": {
            "name": "pentagram",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 100,
                "width": 100
            },
            "text": "五角星"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a008",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e65dbb6fff7c114623f1c1f",
        "name": "左箭头",
        "icon": "iconfont icon-arrow-left",
        "data": {
            "name": "leftArrow",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 60,
                "width": 120
            },
            "text": "左箭头"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a009",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e65dbdafff7c114623f1c2a",
        "name": "右箭头",
        "icon": "iconfont icon-arrow-right",
        "data": {
            "name": "rightArrow",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 60,
                "width": 120
            },
            "text": "右箭头"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a010",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e65dc07fff7c114623f1c40",
        "name": "双向箭头",
        "icon": "iconfont icon-twoway-arrow",
        "data": {
            "name": "twowayArrow",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 60,
                "width": 150
            },
            "text": "双向箭头"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a011",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e65dda8fff7c114623f1cff",
        "name": "消息框",
        "icon": "iconfont icon-msg",
        "data": {
            "name": "message",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 100,
                "width": 100
            },
            "text": "消息框"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a012",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e66079dfff7c114623f2d98",
        "name": "云",
        "icon": "iconfont icon-cloud",
        "data": {
            "name": "cloud",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 100,
                "width": 100
            },
            "text": "云"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a013",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6607dbfff7c114623f2db1",
        "name": "文档",
        "icon": "iconfont icon-file",
        "data": {
            "name": "file",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 100,
                "width": 80
            },
            "text": "文档"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a014",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e660814fff7c114623f2dc9",
        "name": "图片",
        "icon": "iconfont icon-picture",
        "data": {
            "image": "/assets/img/logo.png",
            "name": "image",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 100,
                "width": 100
            }
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a015",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e66084ffff7c114623f2ddf",
        "name": "文本",
        "icon": "iconfont icon-text",
        "data": {
            "name": "text",
            "rect": {
                "height": 30,
                "width": 100
            },
            "text": "文字"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a016",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e660a0ffff7c114623f2ecc",
        "name": "立方体",
        "icon": "iconfont icon-cube",
        "data": {
            "fillStyle": "#ddd",
            "icon": "",
            "iconColor": "#777",
            "iconFamily": "topology",
            "iconSize": 30,
            "is3D": true,
            "name": "cube",
            "rect": {
                "height": 100,
                "width": 60
            },
            "text": "",
            "z": 40
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a017",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e660a8efff7c114623f2f16",
        "name": "用户",
        "icon": "iconfont icon-people",
        "data": {
            "name": "people",
            "rect": {
                "height": 100,
                "width": 70
            },
            "text": ""
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a018",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e660adefff7c114623f2f37",
        "name": "视频/网页",
        "icon": "iconfont icon-pc",
        "data": {
            "name": "div",
            "paddingBottom": 10,
            "paddingLeft": 10,
            "paddingRight": 10,
            "paddingTop": 10,
            "rect": {
                "height": 100,
                "width": 100
            },
            "text": "视频/网页"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a019",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e660b57fff7c114623f2f7d",
        "name": "分割线",
        "icon": "iconfont icon-line",
        "data": {
            "name": "line",
            "rect": {
                "height": 50,
                "width": 100
            },
            "text": "分割线"
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a020",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e660c32fff7c114623f3000",
        "name": "连线",
        "icon": "iconfont icon-curve2",
        "data": {
            "manualCps": true,
            "name": "lineAlone",
            "rect": {
                "height": 100,
                "width": 100
            },
            "text": ""
        },
        "class": "架构拓扑图",
        "subClassId": "183bf0d2",
        "subClassName": "基本形状",
        "sort": "a021",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e689451b60b4d01c919a5ae",
        "name": "开始/结束",
        "icon": "iconfont icon-flow-start",
        "data": {
            "borderRadius": 0.5,
            "name": "rectangle",
            "rect": {
                "height": 40,
                "width": 120
            },
            "text": "开始"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b001",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f057fcb861e383de58ad5",
        "name": "流程",
        "icon": "iconfont icon-rectangle",
        "data": {
            "name": "rectangle",
            "rect": {
                "height": 40,
                "width": 120
            },
            "text": "流程"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b002",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f05cdcb861e383de58b0f",
        "name": "判定",
        "icon": "iconfont icon-diamond",
        "data": {
            "name": "diamond",
            "rect": {
                "height": 60,
                "width": 120
            },
            "text": "判定"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b003",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f05ffcb861e383de58b23",
        "name": "数据",
        "icon": "iconfont icon-flow-data",
        "data": {
            "name": "flowData",
            "rect": {
                "height": 50,
                "width": 120
            },
            "text": "数据"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b004",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f07bccb861e383de58c13",
        "name": "准备",
        "icon": "iconfont icon-flow-ready",
        "data": {
            "name": "hexagon",
            "rect": {
                "height": 50,
                "width": 120
            },
            "text": "准备"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b005",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f07fbcb861e383de58c30",
        "name": "子流程",
        "icon": "iconfont icon-flow-subprocess",
        "data": {
            "name": "flowSubprocess",
            "rect": {
                "height": 50,
                "width": 120
            },
            "text": "子流程"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b006",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f082acb861e383de58c45",
        "name": "数据库",
        "icon": "iconfont icon-db",
        "data": {
            "name": "flowDb",
            "rect": {
                "height": 120,
                "width": 80
            },
            "text": "数据库"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b007",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f086ccb861e383de58c64",
        "name": "文档",
        "icon": "iconfont icon-flow-document",
        "data": {
            "name": "flowDocument",
            "rect": {
                "height": 100,
                "width": 120
            },
            "text": "文档"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b008",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f08b7cb861e383de58c82",
        "name": "内部存储",
        "icon": "iconfont icon-internal-storage",
        "data": {
            "name": "flowInternalStorage",
            "rect": {
                "height": 80,
                "width": 120
            },
            "text": "内部存储"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b009",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f08dccb861e383de58c93",
        "name": "外部存储",
        "icon": "iconfont icon-extern-storage",
        "data": {
            "name": "flowExternStorage",
            "rect": {
                "height": 80,
                "width": 120
            },
            "text": "外部存储"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b010",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0928cb861e383de58cb2",
        "name": "队列",
        "icon": "iconfont icon-flow-queue",
        "data": {
            "name": "flowQueue",
            "rect": {
                "height": 100,
                "width": 100
            },
            "text": "队列"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b011",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0959cb861e383de58ccc",
        "name": "手动输入",
        "icon": "iconfont icon-flow-manually",
        "data": {
            "name": "flowManually",
            "rect": {
                "height": 80,
                "width": 120
            },
            "text": "手动输入"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b012",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0984cb861e383de58cde",
        "name": "展示",
        "icon": "iconfont icon-flow-display",
        "data": {
            "name": "flowDisplay",
            "rect": {
                "height": 80,
                "width": 120
            },
            "text": "展示"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b014",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f09b2cb861e383de58cf4",
        "name": "并行模式",
        "icon": "iconfont icon-flow-parallel",
        "data": {
            "name": "flowParallel",
            "rect": {
                "height": 50,
                "width": 120
            },
            "text": "并行模式"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b015",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f09e1cb861e383de58d0a",
        "name": "注释",
        "icon": "iconfont icon-flow-comment",
        "data": {
            "name": "flowComment",
            "rect": {
                "height": 100,
                "width": 100
            },
            "text": "注释"
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b016",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0a38cb861e383de58d2c",
        "name": "用户",
        "icon": "iconfont icon-people",
        "data": {
            "name": "people",
            "rect": {
                "height": 100,
                "width": 70
            },
            "text": ""
        },
        "class": "UML图",
        "subClassId": "4d45c86",
        "subClassName": "流程图",
        "sort": "b017",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0a96cb861e383de58d55",
        "name": "开始",
        "icon": "iconfont icon-inital",
        "data": {
            "fillStyle": "#555",
            "name": "circle",
            "rect": {
                "height": 30,
                "width": 30
            },
            "strokeStyle": "transparent",
            "text": ""
        },
        "class": "UML图",
        "subClassId": "2ff994d",
        "subClassName": "活动图",
        "sort": "b018",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0af8cb861e383de58d80",
        "name": "活动",
        "icon": "iconfont icon-action",
        "data": {
            "borderRadius": 0.25,
            "name": "rectangle",
            "rect": {
                "height": 50,
                "width": 150
            },
            "text": "活动"
        },
        "class": "UML图",
        "subClassId": "2ff994d",
        "subClassName": "活动图",
        "sort": "b019",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0ac1cb861e383de58d69",
        "name": "结束",
        "icon": "iconfont icon-final",
        "data": {
            "name": "activityFinal",
            "rect": {
                "height": 30,
                "width": 30
            },
            "text": ""
        },
        "class": "UML图",
        "subClassId": "2ff994d",
        "subClassName": "活动图",
        "sort": "b019",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0b3fcb861e383de58d9e",
        "name": "决策/合并",
        "icon": "iconfont icon-diamond",
        "data": {
            "name": "diamond",
            "rect": {
                "height": 50,
                "width": 120
            },
            "text": "决策"
        },
        "class": "UML图",
        "subClassId": "2ff994d",
        "subClassName": "活动图",
        "sort": "b020",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0b72cb861e383de58db4",
        "name": "垂直泳道",
        "icon": "iconfont icon-swimlane-v",
        "data": {
            "name": "swimlaneV",
            "rect": {
                "height": 500,
                "width": 200
            },
            "text": "垂直泳道"
        },
        "class": "UML图",
        "subClassId": "2ff994d",
        "subClassName": "活动图",
        "sort": "b021",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0ba3cb861e383de58dcc",
        "name": "水平泳道",
        "icon": "iconfont icon-swimlane-h",
        "data": {
            "name": "swimlaneH",
            "rect": {
                "height": 200,
                "width": 500
            },
            "text": "水平泳道"
        },
        "class": "UML图",
        "subClassId": "2ff994d",
        "subClassName": "活动图",
        "sort": "b022",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0c16cb861e383de58df7",
        "name": "垂直分岔/汇合",
        "icon": "iconfont icon-fork-v",
        "data": {
            "fillStyle": "#555",
            "name": "forkV",
            "rect": {
                "height": 150,
                "width": 10
            },
            "strokeStyle": "transparent",
            "text": ""
        },
        "class": "UML图",
        "subClassId": "2ff994d",
        "subClassName": "活动图",
        "sort": "b023",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0c47cb861e383de58e10",
        "name": "水平分岔/汇合",
        "icon": "iconfont icon-fork",
        "data": {
            "fillStyle": "#555",
            "name": "forkH",
            "rect": {
                "height": 10,
                "width": 150
            },
            "strokeStyle": "transparent",
            "text": ""
        },
        "class": "UML图",
        "subClassId": "2ff994d",
        "subClassName": "活动图",
        "sort": "b024",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0cc1cb861e383de58e40",
        "name": "生命线",
        "icon": "iconfont icon-lifeline",
        "data": {
            "name": "lifeline",
            "rect": {
                "height": 240,
                "width": 150
            },
            "text": "生命线"
        },
        "class": "UML图",
        "subClassId": "53c1df",
        "subClassName": "时序图和类图",
        "sort": "b025",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0cf6cb861e383de58e57",
        "name": "激活",
        "icon": "iconfont icon-focus",
        "data": {
            "name": "sequenceFocus",
            "rect": {
                "height": 200,
                "width": 12
            },
            "text": ""
        },
        "class": "UML图",
        "subClassId": "53c1df",
        "subClassName": "时序图和类图",
        "sort": "b026",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0da7cb861e383de58e99",
        "name": "简单类",
        "icon": "iconfont icon-simple-class",
        "data": {
            "children": [
                {
                    "font": {
                        "color": "#222",
                        "fontFamily": "Arial",
                        "textAlign": "left",
                        "textBaseline": "top"
                    },
                    "name": "text",
                    "paddingBottom": 10,
                    "paddingLeft": 10,
                    "paddingRight": 10,
                    "paddingTop": 10,
                    "rectInParent": {
                        "height": "100%",
                        "rotate": 0,
                        "width": "100%",
                        "x": 0,
                        "y": 0
                    },
                    "text": "- name: string\n+ setName(name: string): void"
                }
            ],
            "fillStyle": "#ffffba",
            "font": {
                "color": "#222",
                "fontFamily": "Arial",
                "fontWeight": "bold"
            },
            "name": "simpleClass",
            "paddingTop": 40,
            "rect": {
                "height": 200,
                "width": 270
            },
            "strokeStyle": "#7e1212",
            "text": "Topolgoy"
        },
        "class": "UML图",
        "subClassId": "53c1df",
        "subClassName": "时序图和类图",
        "sort": "b027",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0dfccb861e383de58ebe",
        "name": "类",
        "icon": "iconfont icon-class",
        "data": {
            "children": [
                {
                    "font": {
                        "color": "#222",
                        "fontFamily": "Arial",
                        "textAlign": "left",
                        "textBaseline": "top"
                    },
                    "name": "text",
                    "paddingBottom": 10,
                    "paddingLeft": 10,
                    "paddingRight": 10,
                    "paddingTop": 10,
                    "rectInParent": {
                        "height": "50%",
                        "rotate": 0,
                        "width": "100%",
                        "x": 0,
                        "y": 0
                    },
                    "text": "- name: string"
                },
                {
                    "font": {
                        "color": "#222",
                        "fontFamily": "Arial",
                        "textAlign": "left",
                        "textBaseline": "top"
                    },
                    "name": "text",
                    "paddingBottom": 10,
                    "paddingLeft": 10,
                    "paddingRight": 10,
                    "paddingTop": 10,
                    "rectInParent": {
                        "height": "50%",
                        "rotate": 0,
                        "width": "100%",
                        "x": 0,
                        "y": "50%"
                    },
                    "text": "+ setName(name: string): void"
                }
            ],
            "fillStyle": "#ffffba",
            "font": {
                "color": "#222",
                "fontFamily": "Arial",
                "fontWeight": "bold"
            },
            "name": "interfaceClass",
            "paddingTop": 40,
            "rect": {
                "height": 200,
                "width": 270
            },
            "strokeStyle": "#7e1212",
            "text": "Topolgoy"
        },
        "class": "UML图",
        "subClassId": "53c1df",
        "subClassName": "时序图和类图",
        "sort": "b028",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0e72cb861e383de58eed",
        "name": "折线图",
        "icon": "iconfont icon-line-chart",
        "data": {
            "data": {
                "echarts": {
                    "option": {
                        "series": [
                            {
                                "data": [
                                    820,
                                    932,
                                    901,
                                    934,
                                    1290,
                                    1330,
                                    1320
                                ],
                                "type": "line"
                            }
                        ],
                        "xAxis": {
                            "data": [
                                "Mon",
                                "Tue",
                                "Wed",
                                "Thu",
                                "Fri",
                                "Sat",
                                "Sun"
                            ],
                            "type": "category"
                        },
                        "yAxis": {
                            "type": "value"
                        }
                    }
                }
            },
            "name": "echarts",
            "rect": {
                "height": 200,
                "width": 300
            },
            "text": "折线图"
        },
        "class": "图表",
        "subClassId": "4f5e710b",
        "subClassName": "Echarts图表",
        "sort": "c001",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0ebfcb861e383de58f10",
        "name": "柱状图",
        "icon": "iconfont icon-bar-chart",
        "data": {
            "data": {
                "echarts": {
                    "option": {
                        "color": [
                            "#3398DB"
                        ],
                        "grid": {
                            "bottom": "3%",
                            "containLabel": true,
                            "left": "3%",
                            "right": "4%"
                        },
                        "series": [
                            {
                                "barWidth": "60%",
                                "data": [
                                    10,
                                    52,
                                    200,
                                    334,
                                    390,
                                    330,
                                    220
                                ],
                                "name": "直接访问",
                                "type": "bar"
                            }
                        ],
                        "tooltip": {
                            "axisPointer": {
                                "type": "shadow"
                            },
                            "trigger": "axis"
                        },
                        "xAxis": [
                            {
                                "axisTick": {
                                    "alignWithLabel": true
                                },
                                "data": [
                                    "Mon",
                                    "Tue",
                                    "Wed",
                                    "Thu",
                                    "Fri",
                                    "Sat",
                                    "Sun"
                                ],
                                "type": "category"
                            }
                        ],
                        "yAxis": [
                            {
                                "type": "value"
                            }
                        ]
                    }
                }
            },
            "name": "echarts",
            "rect": {
                "height": 200,
                "width": 300
            },
            "text": "柱状图"
        },
        "class": "图表",
        "subClassId": "4f5e710b",
        "subClassName": "Echarts图表",
        "sort": "c002",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0f32cb861e383de58f3c",
        "name": "饼图",
        "icon": "iconfont icon-pie-chart",
        "data": {
            "data": {
                "echarts": {
                    "option": {
                        "legend": {
                            "data": [
                                "直接访问",
                                "邮件营销",
                                "联盟广告",
                                "视频广告",
                                "搜索引擎"
                            ],
                            "orient": "vertical",
                            "x": "left"
                        },
                        "series": [
                            {
                                "avoidLabelOverlap": false,
                                "data": [
                                    {
                                        "name": "直接访问",
                                        "value": 335
                                    },
                                    {
                                        "name": "邮件营销",
                                        "value": 310
                                    },
                                    {
                                        "name": "联盟广告",
                                        "value": 234
                                    },
                                    {
                                        "name": "视频广告",
                                        "value": 135
                                    },
                                    {
                                        "name": "搜索引擎",
                                        "value": 1548
                                    }
                                ],
                                "label": {
                                    "emphasis": {
                                        "show": true,
                                        "textStyle": {
                                            "fontSize": "30",
                                            "fontWeight": "bold"
                                        }
                                    },
                                    "normal": {
                                        "position": "center",
                                        "show": false
                                    }
                                },
                                "labelLine": {
                                    "normal": {
                                        "show": false
                                    }
                                },
                                "name": "访问来源",
                                "radius": [
                                    "50%",
                                    "70%"
                                ],
                                "type": "pie"
                            }
                        ],
                        "tooltip": {
                            "formatter": "{a} \u003cbr/\u003e{b}: {c} ({d}%)",
                            "trigger": "item"
                        }
                    }
                }
            },
            "name": "echarts",
            "rect": {
                "height": 200,
                "width": 200
            },
            "text": "饼图"
        },
        "class": "图表",
        "subClassId": "4f5e710b",
        "subClassName": "Echarts图表",
        "sort": "c003",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    },
    {
        "id": "5e6f0f7fcb861e383de58f5c",
        "name": "仪表盘",
        "icon": "iconfont icon-dashboard-chart",
        "data": {
            "data": {
                "echarts": {
                    "option": {
                        "series": [
                            {
                                "data": [
                                    {
                                        "name": "完成率",
                                        "value": 50
                                    }
                                ],
                                "detail": {
                                    "formatter": "{value}%"
                                },
                                "name": "业务指标",
                                "type": "gauge"
                            }
                        ],
                        "toolbox": {
                            "feature": {
                                "restore": {},
                                "saveAsImage": {}
                            }
                        },
                        "tooltip": {
                            "formatter": "{a} \u003cbr/\u003e{b} : {c}%"
                        }
                    }
                }
            },
            "name": "echarts",
            "rect": {
                "height": 300,
                "width": 300
            },
            "text": "仪表盘"
        },
        "class": "图表",
        "subClassId": "4f5e710b",
        "subClassName": "Echarts图表",
        "sort": "c004",
        "raw": false,
        "state": 1,
        "userId": "",
        "userName": "",
        "editorId": "",
        "editorName": "",
        "createdAt": "0001-01-01T00:00:00Z",
        "updatedAt": "0001-01-01T00:00:00Z",
        "deletedAt": "0001-01-01T00:00:00Z"
    }
]